Skip to main content
`Ctrl`+`K`

# TSSetPreStep

Sets the general-purpose function called once at the beginning of each time step.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetPreStep(TS ts, PetscErrorCode (*func)(TS ts))

Logically Collective

## Input Parameters

- ts - The `TS` context obtained from `TSCreate()`

- func - The function

## Calling sequence of `func`

- ts - the `TS` context

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetPreStage()`, `TSSetPostStage()`, `TSSetPostStep()`, `TSStep()`, `TSRestartStep()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex76.c
src/ts/utils/dmplexlandau/tutorials/ex2.c
src/ts/tutorials/ex77.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages